cppcms::forwarder Class Reference

Class responsble for automaticall forwarding of HTTP/CGI requests to other hosts over SCGI. More...

`#include <cppcms/forwarder.h>`

## Public Member Functions

void | add_forwarding_rule (booster::shared_ptr< mount_point > p, std::string const &ip, int port)
void | remove_forwarding_rule (booster::shared_ptr< mount_point > p)

## Detailed Description

Class responsble for automaticall forwarding of HTTP/CGI requests to other hosts over SCGI.

This class allows you to strasfer connections transparently and efficiently for specific applications like single server responsible for Comet processing

## Member Function Documentation

void cppcms::forwarder::add_forwarding_rule | ( | booster::shared_ptr< mount_point > | p,
|  | std::string const & | ip,
|  | int | port
| ) |  |

Add forwarding of request that match a mount_point p over SCGI ip and port.

void cppcms::forwarder::remove_forwarding_rule | ( | booster::shared_ptr< mount_point > | p | ) |

Remove the forwarding request, you need to use smake pointer you used in add_forwarding_rule

The documentation for this class was generated from the following file:

- cppcms/forwarder.h